## Pull Request template

Please, go through these steps before you submit a PR.

1. Make sure that your PR is not a duplicate.
2. If not, then make sure that:

  2.1. You have done your changes in a separate branch. Branches MUST have descriptive names that start with either the `fix/` or `feature/` prefixes. Good examples are: `fix/span-issue` or `feature/multiple-viewtype`.

  2.2. You have a descriptive commit message with a short title (first line).

  2.3. You have only one commit (if not, squash them into one commit).

  2.4. `./gradlew test` does not throw any error.
  
  2.5. Code is formatted with code style included in the document.
  
  2.6. Make sure that necessary changes in documentation is also done.  

3. **After** these steps, you're ready to open a pull request.

  3.1. Give a descriptive title to your PR.

  3.2. Provide a description of your changes.

  3.3. Put `closes #XXXX` in your comment to auto-close the issue that your PR fixes (if such).

IMPORTANT: Please review the [CONTRIBUTING.md](../.github/CONTRIBUTING.md) file for detailed contributing guidelines.

**PLEASE REMOVE THIS TEMPLATE BEFORE SUBMITTING**